Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JDKAlgorithmParameterGenerator.DES

    java.lang.Object
      java.security.AlgorithmParameterGeneratorSpi
          org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
              org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator.DES

Enclosing class:
  JDKAlgorithmParameterGenerator

    public static class JDKAlgorithmParameterGenerator.DES

extends JDKAlgorithmParameterGenerator

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`JDKAlgorithmParameterGenerator.DES, JDKAlgorithmParameterGenerator.DH, JDKAlgorithmParameterGenerator.DSA, JDKAlgorithmParameterGenerator.ElGamal, JDKAlgorithmParameterGenerator.GOST3410, JDKAlgorithmParameterGenerator.RC2`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`random, strength`

Constructor Summary
`JDKAlgorithmParameterGenerator.DES()`

Method Summary
`protected java.security.AlgorithmParameters` `engineGenerateParameters()`
`protected void` `engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec, java.security.SecureRandom random)`

Methods inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`engineInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKAlgorithmParameterGenerator.DES

    public JDKAlgorithmParameterGenerator.DES()

Method Detail

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec,
                              java.security.SecureRandom random)
                       throws java.security.InvalidAlgorithmParameterException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`
  Throws:
    `java.security.InvalidAlgorithmParameterException`

### engineGenerateParameters

    protected java.security.AlgorithmParameters engineGenerateParameters()

  Specified by:
    `engineGenerateParameters` in class `java.security.AlgorithmParameterGeneratorSpi`

Bouncy Castle Cryptography Library 1.45